"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

var _react = _interopRequireWildcard(require("react"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function InputText(props) {
  const [error, setError] = (0, _react.useState)(false);

  const errorMode = () => {
    setError(props.errorText);
  };

  return /*#__PURE__*/_react.default.createElement("div", {
    className: "input-text"
  }, /*#__PURE__*/_react.default.createElement("input", {
    style: {
      width: props.width,
      height: props.height
    },
    onChange: errorMode,
    className: error && props.error === true ? 'light-mode error-text' : error && props.errorDarkMode === true ? 'dark-mode error-text' : props.errorDarkMode === true ? 'dark-mode' : props.darkMode === true ? 'dark-mode' : 'light-mode',
    type: 'text',
    placeholder: props.placeholder
  }), /*#__PURE__*/_react.default.createElement("div", {
    className: 'helperText'
  }, props.errorText));
}

var _default = InputText;
exports.default = _default;